wifi8 2.0.0.0

Data Fields
wifi8_m2m_wifi_rx_packet_info_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t | u8_frame_type
uint8_t | u8_frame_subtype
uint8_t | u8_service_class
uint8_t | u8_priority
uint8_t | u8_header_length
uint8_t | u8_cipher_type
uint8_t | au8_src_mac_address [6]
uint8_t | au8_dst_mac_address [6]
uint8_t | au8bssid [6]
uint16_t | u16_data_length
uint16_t | u16_frame_length
uint32_t | u32_data_rate_kbps
int8_t | s8rssi
uint8_t | __pad24__ [3]

## Field Documentation

## ◆ __pad24__

uint8_t __pad24__[3]

padding bytes for forcing 4-byte alignment

## ◆ au8_dst_mac_address

uint8_t au8_dst_mac_address[6]

zero means do not filter destination address.

## ◆ au8_src_mac_address

uint8_t au8_src_mac_address[6]

zero means do not filter source address.

## ◆ au8bssid

uint8_t au8bssid[6]

zero means do not filter bssid.

## ◆ s8rssi

int8_t s8rssi

rssi.

## ◆ u16_data_length

uint16_t u16_data_length

data payload length (header excluded).

## ◆ u16_frame_length

uint16_t u16_frame_length

total frame length (header + data).

## ◆ u32_data_rate_kbps

uint32_t u32_data_rate_kbps

data rate in kbps.

## ◆ u8_cipher_type

uint8_t u8_cipher_type

encryption type for the rx packet.

## ◆ u8_frame_subtype

uint8_t u8_frame_subtype

it must use values from tenu_sub_types.

## ◆ u8_frame_type

uint8_t u8_frame_type

it must use values from tenu_wifi_frame_type.

## ◆ u8_header_length

uint8_t u8_header_length

frame header length.

## ◆ u8_priority

uint8_t u8_priority

priority from wi-fi header.

## ◆ u8_service_class

uint8_t u8_service_class

service class from wi-fi header.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h